package info.bukova.isspst.ui;

import org.zkoss.bind.annotation.Command;
import org.zkoss.bind.annotation.Init;
import org.zkoss.zk.ui.Executions;
import org.zkoss.zul.Window;

public class MainMenu
{
	private String contextPath;

	private String moduleUrl;

	@Init
	public void init()
	{
		this.contextPath = Executions.getCurrent().getContextPath();
		this.moduleUrl = Executions.getCurrent().getDesktop().getRequestPath();
	}

	public String getContextPath()
	{
		return this.contextPath;
	}

	public String getModuleUrl()
	{
		return this.moduleUrl;
	}

	@Command
	public void passwd()
	{
		Window window = (Window) Executions.createComponents("/app/passwd.zul", null, null);
		window.doModal();
	}

	@Command
	public void numSeries()
	{
		Window window = (Window) Executions.createComponents("/settings/numberSeries.zul", null, null);
		window.doModal();
	}

	@Command
	public void globalSettings()
	{
		Window window = (Window) Executions.createComponents("/settings/globalSettings.zul", null, null);
		window.doModal();
	}
}
